curl -X POST "https://api.hitler.app/api/users" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"email": "newuser@acme.com",
"name": "Jane Smith",
"role": "employee"
}'
{
"id": "user-uuid-new",
"email": "newuser@acme.com",
"name": "Jane Smith",
"role": "employee",
"isActive": true,
"organizationId": "org-uuid",
"createdAt": "2024-01-15T10:00:00.000Z"
}
Users
Create User
Create a new user in the organization
POST
/
api
/
users
curl -X POST "https://api.hitler.app/api/users" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"email": "newuser@acme.com",
"name": "Jane Smith",
"role": "employee"
}'
{
"id": "user-uuid-new",
"email": "newuser@acme.com",
"name": "Jane Smith",
"role": "employee",
"isActive": true,
"organizationId": "org-uuid",
"createdAt": "2024-01-15T10:00:00.000Z"
}
This endpoint requires Admin role.
Request
string
required
User email address
string
Display name (max 255 characters)
string
default:"employee"
User role:
employee, manager, adminResponse
Returns the created user.curl -X POST "https://api.hitler.app/api/users" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"email": "newuser@acme.com",
"name": "Jane Smith",
"role": "employee"
}'
{
"id": "user-uuid-new",
"email": "newuser@acme.com",
"name": "Jane Smith",
"role": "employee",
"isActive": true,
"organizationId": "org-uuid",
"createdAt": "2024-01-15T10:00:00.000Z"
}